Package org.gradle.tooling.events.work

# Interface WorkItemProgressEvent

All Superinterfaces:
  `ProgressEvent`

All Known Subinterfaces:
  `WorkItemFinishEvent`, `WorkItemStartEvent`

public interface WorkItemProgressEvent extends ProgressEvent
Root interface for all events that signal progress while executing a work item.

Since:
  5.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WorkItemOperationDescriptor`
  `getDescriptor()`
  Returns the description of the work item for which progress is reported.

  ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

  `getDisplayName, getEventTime`

- ## Method Details

  - ### getDescriptor

    WorkItemOperationDescriptor getDescriptor()
    Returns the description of the work item for which progress is reported.
    Specified by:
      `getDescriptor` in interface `ProgressEvent`
    Returns:
      The description of the underlying work item operation.